package com.usky.dxtop.controller.web;


import com.usky.dxtop.common.core.domain.AjaxResult;
import com.usky.dxtop.model.Dish;
import com.usky.dxtop.service.DishService;
import com.usky.dxtop.service.vo.DishRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

/**
 * 消费模块
 * @author yq
 * @since 2021-09-09
 */
@RestController
@RequestMapping("/dxtop/dish")
public class DishController {



    @Autowired
    private DishService dishService;


    /**
     * 分页
     * @param dishRequest
     * @return
     */
    @PostMapping("page")
    public AjaxResult page(@Validated @RequestBody DishRequest dishRequest){
        return AjaxResult.success(dishService.page(dishRequest));
    }

    /**
     * 消费详情
     * @param seq
     * @return
     */
    @GetMapping(value = "/{seq}")
    public AjaxResult one(@PathVariable Long seq){
        return AjaxResult.success(dishService.one(seq));
    }



    /**
     * 消费详情
     * @return
     */
    @GetMapping(value = "/collect")
    public AjaxResult collect(){
        return AjaxResult.success(dishService.collect());
    }


    @PutMapping
    public AjaxResult update(@RequestBody Dish dish){
        return AjaxResult.success(dishService.update(dish));
    }

}

