package com.usky.dxtop.controller.web;

import com.usky.dxtop.service.api.TopApiConfiger;
import com.usky.dxtop.service.api.WxApi;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;
import java.util.TreeMap;

/**
 * @author yq
 * @date 2021/9/22 10:04
 */
@Slf4j
@RestController
public class WxController {

    @Autowired
    private TopApiConfiger topApiConfiger;

    @Autowired
    private WxApi wxApi;
    @GetMapping("/wxLogin")
    public String wxLogin(@RequestParam String jsCode){
        return wxApi.wxLogin(topApiConfiger.getWxAppId(),topApiConfiger.getWxAppSecret(),jsCode);
    }

    /**
     * 拉起支付
     * @param url
     * @return
     */
    @GetMapping("/wxAccToken")
    public TreeMap<String, String> getAccToken(@RequestParam String url){
        return wxApi.getPayParam(topApiConfiger.getWxAppId(),topApiConfiger.getWxAppSecret(),url);
    }

    /**
     * 获取token
     * @return
     */
    @GetMapping("/accentToken")
    public String getToken(@RequestParam Integer type){
        if (1 == type){
            return wxApi.getToken(topApiConfiger.getWxAppId(),topApiConfiger.getWxAppSecret());
        }else {
            return wxApi.getToken(WxApi.APP_ID,WxApi.SECRET);
        }
    }
    @GetMapping("/testt")
    public String sendMessageTest(String openId){
        Map<String, Object> map = new HashMap<>();
        Map<String, Object> firstMap = new HashMap<>();
        firstMap.put("value","支付成功");
        map.put("first",firstMap);
        return wxApi.sendMessageApi(openId,map,wxApi.getToken(WxApi.APP_ID,WxApi.SECRET));
    }
}
